# class RangeException

###

Module | khtml
Namespace | DOM
Class | RangeException
Inherits |

### enums

- RangeExceptionCode { BAD_BOUNDARYPOINTS_ERR, INVALID_NODE_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

enum details

### methods

- RangeException (_code)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  _code | unsigned short |

- RangeException (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.RangeException |

### variables

unsigned short code | An integer indicating the type of error generated.

### enums - detail

- RangeExceptionCode { BAD_BOUNDARYPOINTS_ERR, INVALID_NODE_TYPE_ERR, _EXCEPTION_OFFSET, _EXCEPTION_MAX }

  An integer indicating the type of error generated.

  | BAD_BOUNDARYPOINTS_ERR | - 1 | - |
  | INVALID_NODE_TYPE_ERR | - 2 | - |
  | _EXCEPTION_OFFSET | - 2000 | - |
  | _EXCEPTION_MAX | - 2999 | - |